import request from '/@/utils/request';

export function inspectTaskApi() {
    return {
        // v1
        getInspectTaskList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/select/listTaskUnitByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/insert/saveTaskUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        modInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/update/updateTaskUnitMainById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/delete/deleteTaskUnit`,
                method: 'post',
                data: data
            });
        },
        // v1
        addChainOfInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/insert/saveTaskUnitPoint`,
                method: 'post',
                data: data
            });
        },
        // v1
        modChainOfInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/update/updateTaskUnitPointById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteChainOfInspectTask: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckTaskUnit/delete/deleteTaskUnitPoint`,
                method: 'post',
                data: data
            });
        }
    };
}
